/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.menezes;

import java.util.ArrayList;
import javafx.scene.Parent;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.util.Duration;

/**
 *
 * @author jorge
 */
public class PlayIntegration {
    
     
    int posicao = 0;
    
    MediaPlayer mediaPlayer=null;
    SwingJavaFXMediaPlayer main_streaming=null;
    
    public PlayIntegration(SwingJavaFXMediaPlayer main_streaming) {
       this.main_streaming = main_streaming;
    }
    
   
    public Parent createContent(String music) {
         
      try {
        
        // final String MEDIA_URL = "file:///home/jorge/Vídeos/milionario_e_jose_rico_sonhei_com_voce.mp4";
        //String MEDIA_URL = StreamingMediaPlayerJavaFX_Puro.class.getResource("file:///" + music).toURI().toString();
        
        String MEDIA_URL = "file:///" + music;

        String streamingMediaPlayerCss =
            getClass().getResource("StreamingMediaPlayer.css").toExternalForm();
        
        double mediaWidth  = 640;
        double mediaHeight = 470;
  
        mediaPlayer = new MediaPlayer(new Media(MEDIA_URL)); 

        // mediaPlayer.setAutoPlay(true);
        
        PlayerPane playerPane = new PlayerPane(mediaPlayer);
        playerPane.setMinSize(mediaWidth, mediaHeight);
        playerPane.setPrefSize(mediaWidth, mediaHeight);
        playerPane.setMaxSize(mediaWidth, mediaHeight);
        playerPane.getStylesheets().add(streamingMediaPlayerCss);
        
        
        playerPane.mp.setOnEndOfMedia(new Runnable() {
                public void run() {
                   
                    // proximo
                    
                    
                    String xselecao = "";
                             
                    if( (posicao+1) == main_streaming.lista.size() ) {  // se atingiu o ultimo, volta para o primeiro
                        xselecao = (String)main_streaming.lista.get(0);                         
                        posicao = 0;
                                 
                    }else {
                              
                        ++posicao;  
                        xselecao = (String)main_streaming.lista.get(posicao);
                    }
                    
                    
                    main_streaming.group.getChildren().remove(0);
                    main_streaming.group.setCenter( createContent(xselecao) );
                    
                    playerPane.resetVars();                                         
                    mediaPlayer.play();
                     
                }          
                 
            });
       
 
        return playerPane;
        
        
      }catch(Exception eee) {
            eee.printStackTrace();
      }
      return null;
    }
 
    public void play() {
        MediaPlayer.Status status = mediaPlayer.getStatus();
        if (status == MediaPlayer.Status.UNKNOWN ||
                status == MediaPlayer.Status.HALTED) {
            return;
        }
        if (status == MediaPlayer.Status.PAUSED ||
                status == MediaPlayer.Status.STOPPED ||
                status == MediaPlayer.Status.READY) {
            mediaPlayer.play();
        }
    }
    
    
    
    
    
}
