
package com.menezes;

/**
 *
 * @author jorge
 */


import java.awt.Dimension;
import java.util.ArrayList;
import javafx.application.Platform;
import javafx.embed.swing.JFXPanel;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

 
public class SwingJavaFXMediaPlayer {
    
   BorderPane group = null;
    
   ArrayList<String> lista = new ArrayList();
   
   private void initAndShowGUI() {
       
      
      lista.add( "/home/jorge/Vídeos/legiao_urbana_giz.mp4" );
      lista.add( "/home/jorge/Vídeos/Beyonce_and_Shakira_hd.mp4" );
      // lista.add( "/home/jorge/Vídeos/eu_choro.mp4" );
      //lista.add( "/home/jorge/Vídeos/Shakira_and_Wyclef.mp4" );
      //lista.add( "/home/jorge/Vídeos/legiao_urbana_pais_e_filhos.mp4");
      
      // This method is invoked on Swing thread
      final JFrame frame = new JFrame("JavaFX / Swing Integrated");
      final JFXPanel fxPanel = new JFXPanel();
      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      frame.add(fxPanel);
      frame.setPreferredSize(new Dimension(750, 550));
      frame.pack();
      frame.setLocationRelativeTo(null);
      frame.setVisible(true);

      Platform.runLater(new Runnable()
      {
         @Override
         public void run()
         {
            initFX(fxPanel);
         }
      });
   }

   private void initFX(JFXPanel fxPanel)
   { 
      PlayIntegration play = new PlayIntegration(this);
      group = new BorderPane();
      // group.getChildren().add(play.createContent(lista.get(0)));
      group.setCenter(play.createContent(lista.get(0)));
      Scene scene = new Scene(group);
      fxPanel.setScene(scene);
      play.mediaPlayer.play();
   }

   public static void main(String[] arguments)
   {
      SwingJavaFXMediaPlayer streaming = new SwingJavaFXMediaPlayer();
       
      SwingUtilities.invokeLater(new Runnable()
      {
         @Override
         public void run()
         { 
            streaming.initAndShowGUI();
         }
      });
   }   
}
